USM: ImageMagick requires LCMS [fixed]

Please reproduce your error on a second machine before posting, and check the error by running without saved changes or extra modules (See FAQ No. 13, "How to report a bug"). For unstable Porteus versions (alpha, beta, rc) please use the relevant thread in our "Development" section.
Post Reply
go2null
White ninja
White ninja
Posts: 25
Joined: 19 Aug 2014, 18:28
Distribution: LXDE-v3.0.1-i486.iso
Location: Canada

USM: ImageMagick requires LCMS [fixed]

Post#1 by go2null » 22 Aug 2014, 03:06

ImageMagick requires liblcms2.so and, as I have LibreOffice installed, USM found the file there.
However, LibreOffice has it at /usr/lib/libreoffice4.3/program/liblcms2.so.2 while ImageMagick requires it at /usr/lib/liblcms2.so.

Thus, the correct dependency would have been lcms2-2.4-i486-1.xzm.
(My system has lcms-1.19-i486-2 installed, but that does not provide the required library.)

Alternatively, if the LibreOffice package could add a symlink, that would work as well.

Code: Select all

VERSION:
Porteus-v3.0.1
Kernel: 3.14.15-porteus
Last edited by go2null on 17 Sep 2014, 17:55, edited 2 times in total.

Bogomips
Full of knowledge
Full of knowledge
Posts: 2522
Joined: 25 Jun 2014, 15:21
Distribution: 3.2.2 Cinnamon & KDE5
Location: London

Re: USM: ImageMagick requires LCMS

Post#2 by Bogomips » 22 Aug 2014, 12:03

Suppose first thing that comes to mind is to use the usm -s library-name. Reverse library search. Find mother package.
Linux porteus 4.4.0-porteus #3 SMP PREEMPT Sat Jan 23 07:01:55 UTC 2016 i686 AMD Sempron(tm) 140 Processor AuthenticAMD GNU/Linux
NVIDIA Corporation C61 [GeForce 6150SE nForce 430] (rev a2) MemTotal: 901760 kB MemFree: 66752 kB

User avatar
brokenman
Site Admin
Site Admin
Posts: 5436
Joined: 27 Dec 2010, 03:50
Distribution: Porteus v3.2rcX all desktops
Location: Brazil
Contact:

Re: USM: ImageMagick requires LCMS

Post#3 by brokenman » 22 Aug 2014, 14:32

Thanks go2null. I will add a manual dependency for ImageMagick. USM does not touch the slackware packages (unless converting to modules) so adding a symlink is not an option.
How do i become super user?
Wear your underpants on the outside and put on a cape.

go2null
White ninja
White ninja
Posts: 25
Joined: 19 Aug 2014, 18:28
Distribution: LXDE-v3.0.1-i486.iso
Location: Canada

Re: USM: ImageMagick requires LCMS

Post#4 by go2null » 23 Aug 2014, 01:35

brokenman wrote: USM does not touch the slackware packages (unless converting to modules) so adding a symlink is not an option.
Understood. How can I contact the Slackware package maintainer? (Not sure how it works in Slackware, I've been mostly a Puppy and Debian ecosystem user. I googled a bit before posting the bug as I wanted to ask upstream, but couldn't find any meaningful leads.)

User avatar
brokenman
Site Admin
Site Admin
Posts: 5436
Joined: 27 Dec 2010, 03:50
Distribution: Porteus v3.2rcX all desktops
Location: Brazil
Contact:

Re: USM: ImageMagick requires LCMS

Post#5 by brokenman » 23 Aug 2014, 02:18

Good question. I am not sure who maintains the main slackware packages. Perhaps it is Pat himself.

Slackbuilds contact is here: http://slackbuilds.org/contact

In any case I doubt the maintainers would want to include a symlink in imagemagick pointing to libreoffice. For Porteus USM I will insert a manual dependency so that imagemagick requires lcms2.
How do i become super user?
Wear your underpants on the outside and put on a cape.

go2null
White ninja
White ninja
Posts: 25
Joined: 19 Aug 2014, 18:28
Distribution: LXDE-v3.0.1-i486.iso
Location: Canada

Re: USM: ImageMagick requires LCMS

Post#6 by go2null » 23 Aug 2014, 10:07

Thanks.

(I was thinking more of LO adding a link point to /usr/lib so that it can be found by other packages.)

User avatar
wread
Module Guard
Module Guard
Posts: 1062
Joined: 09 Jan 2011, 18:48
Distribution: Porteus v3.2.5-kde5-64 bits
Location: Santo Domingo
Contact:

Re: USM: ImageMagick requires LCMS (solved)

Post#7 by wread » 23 Aug 2014, 19:49

@go2null

Try this module, lib.cm2.so.o.3 is in /usr/lib as you need!

Good luck! :)
Porteus is proud of the FASTEST KDE ever made.....(take akonadi, nepomuk and soprano out and you will have a decent OS).
The Porteus Community never sleeps!

go2null
White ninja
White ninja
Posts: 25
Joined: 19 Aug 2014, 18:28
Distribution: LXDE-v3.0.1-i486.iso
Location: Canada

Re: USM: ImageMagick requires LCMS (solved)

Post#8 by go2null » 17 Sep 2014, 17:55

Thanks @brokenman - USM v3.1.4 pulls in lcms2 (lcms2-2.4-i486-1.xzm) which creates the required links.

Before installing ImageMagick.

Code: Select all

guest@porteus:~$ ls -l /usr/lib/liblcms*
-rwxr-xr-x 1 root root    784 Jun 20  2012 /usr/lib/liblcms.la*
lrwxrwxrwx 1 root root     17 Aug  3 15:52 /usr/lib/liblcms.so -> liblcms.so.1.0.19*
lrwxrwxrwx 1 root root     17 Aug  3 15:52 /usr/lib/liblcms.so.1 -> liblcms.so.1.0.19*
-rwxr-xr-x 1 root root 222064 Aug  3 15:53 /usr/lib/liblcms.so.1.0.19*
After.

Code: Select all

guest@porteus:~$ ls -l /usr/lib/liblcms*
-rwxr-xr-x 1 root root    784 Jun 20  2012 /usr/lib/liblcms.la*
lrwxrwxrwx 1 root root     17 Aug  3 15:52 /usr/lib/liblcms.so -> liblcms.so.1.0.19*
lrwxrwxrwx 1 root root     17 Aug  3 15:52 /usr/lib/liblcms.so.1 -> liblcms.so.1.0.19*
-rwxr-xr-x 1 root root 222064 Aug  3 15:53 /usr/lib/liblcms.so.1.0.19*
-rwxr-xr-x 1 root root    910 Oct 30  2012 /usr/lib/liblcms2.la*
lrwxrwxrwx 1 root root     17 Sep 17 13:28 /usr/lib/liblcms2.so -> liblcms2.so.2.0.4*
lrwxrwxrwx 1 root root     17 Sep 17 13:28 /usr/lib/liblcms2.so.2 -> liblcms2.so.2.0.4*
-rwxr-xr-x 1 root root 338800 Oct 30  2012 /usr/lib/liblcms2.so.2.0.4*


Post Reply